Gecode::Kernel::SharedMemory Class Reference

Shared object for several memory areas. More...

`#include <manager.hpp>`

## Public Member Functions

| SharedMemory (void)
| Initialize.
| ~SharedMemory (void)
| Destructor.

## Heap management

HeapChunk * | alloc (size_t s, size_t l)
| Return heap chunk, preferable of size s, but at least of size l.
void | free (HeapChunk *hc)
| Free heap chunk (or cache for later).

## Detailed Description

Shared object for several memory areas.

Definition at line 60 of file manager.hpp.

## Constructor & Destructor Documentation

## SharedMemory()

Gecode::Kernel::SharedMemory::SharedMemory | ( | void |  | ) |

inline

Initialize.

Definition at line 184 of file manager.hpp.

## ~SharedMemory()

Gecode::Kernel::SharedMemory::~SharedMemory | ( | void |  | ) |

inline

Destructor.

Definition at line 189 of file manager.hpp.

## Member Function Documentation

## alloc()

HeapChunk * Gecode::Kernel::SharedMemory::alloc | ( | size_t | s,
|  | size_t | l )

inline

Return heap chunk, preferable of size s, but at least of size l.

Definition at line 198 of file manager.hpp.

## free()

void Gecode::Kernel::SharedMemory::free | ( | HeapChunk * | hc | ) |

inline

Free heap chunk (or cache for later).

Definition at line 220 of file manager.hpp.

## Member Data Documentation

## n_hc

unsigned int Gecode::Kernel::SharedMemory::n_hc

How many heap chunks are available for caching.

Definition at line 65 of file manager.hpp.

## hc

HeapChunk* Gecode::Kernel::SharedMemory::hc

A list of cached heap chunks.

Definition at line 67 of file manager.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/memory/manager.hpp
- gecode/kernel/memory/manager.cpp